package com.unis.base.server.domain;


import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;

import com.unis.base.common.vo.TySltpxxVO;
import com.unis.base.server.dao.TySltpxxDao;
import com.unis.base.server.entity.TySltpxxDO;
import com.unis.common.utils.LsBeanUtils;

import org.springframework.stereotype.Component;

/**
 * @author huangxing
 * @version 1.0
 * @Title TySltpxxDomain
 * @ProjectName 持久化
 * @Description
 * @date 2019/07/22 17点26分
 */
@Component
public class TySltpxxDomain extends BaseDomain {

	@Autowired
	private TySltpxxDao tySltpxxMapper;

	/**
	 *
	 * @param TySltpxxVO
	 * @return
	 */
	public List<TySltpxxVO> getTySltpxxList(TySltpxxVO tySltpxxVO) {
		TySltpxxDO sltpxxDO = new TySltpxxDO();
		//进行传递参数copy
		LsBeanUtils.copyAllProperties(tySltpxxVO, sltpxxDO);
		List<TySltpxxVO> tySltpxxVOs = new ArrayList<TySltpxxVO>();

		for (TySltpxxDO tySltpxxDO : tySltpxxMapper.selectAlls(sltpxxDO)) {
			LsBeanUtils.copyAllProperties(tySltpxxDO,tySltpxxVO);
			tySltpxxVOs.add(tySltpxxVO);
		}
		return tySltpxxVOs;
	}

	/**
	 *
	 * @param TySltpxxVO
	 * @return
	 */
	public int insert(TySltpxxVO tySltpxxVO) {
		//进行传递参数copy
		TySltpxxDO tySltpxxDO = new TySltpxxDO();
		LsBeanUtils.copyAllProperties(tySltpxxVO, tySltpxxDO);
		return tySltpxxMapper.insert(tySltpxxDO);
	}

	/**
	 *
	 * @param tpid
	 * @return
	 */
	public TySltpxxVO getTySltpxxById(String tpid) {
		TySltpxxVO tySltpxxVO = new TySltpxxVO();
		LsBeanUtils.copyAllProperties(tySltpxxMapper.selectByKey(tpid), tySltpxxVO);
		return tySltpxxVO;
	}

	/**
	 *
	 * @param TySltpxxVO
	 * @return
	 */
	public int update(TySltpxxVO tySltpxxVO) {
		//进行传递参数copy
		TySltpxxDO tySltpxxDO = new TySltpxxDO();
		LsBeanUtils.copyAllProperties(tySltpxxVO, tySltpxxDO);
		return tySltpxxMapper.updateByPrimaryKey(tySltpxxDO);
	}

}
